<template>
  <div class="tab-container">
    <el-button
      class="filter-item"
      style="margin-left: 10px;"
      type="primary"
      icon="el-icon-edit"
      @click="handleCreate"
    >新建</el-button>
    <el-dialog :visible.sync="dialogFormVisible">
      <el-form
        ref="dataForm"
        label-position="left"
        label-width="90px"
				class="form_style"
      >
        <el-form-item label="新建项目名字" label-width="100px">
          <el-input type="text" :rows="1" v-model="projectname"></el-input>
        </el-form-item>
        <el-form-item label="项目介绍" label-width="100px">
          <el-input type="textarea" :rows="2" v-model="projintroduce"></el-input>
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button @click="dialogFormVisible = false">取消</el-button>
        <el-button type="primary" @click="createData()">确定</el-button>
      </div>
    </el-dialog>
  </div>
</template>
<script>

export default {
	props:["getFormData"],
  data() {
    return {
      dialogFormVisible: false,
			projectname:"",
			projintroduce:""
    };
  },
  methods: {
    handleCreate() {
      this.dialogFormVisible = true;
    },
    //添加增加题目
    async createData() {
			let FormData = {}
			FormData["project_name"] = this.projectname
			FormData["project_info"] = this.projintroduce
			this.getFormData(FormData)

      //如果需要调用接口，请打开注释
    //   const res = await saveSubject(params);
    //   console.log(res);
    //   if (res.code === "0000") {
    //     this.$message({
    //       type: "info",
    //       message: "保存成功",
    //     });
    //     this.dialogFormVisible = false;
    //     this.getQuerySubjectList();
    //     return;
    //   }
    //   this.$message({
    //     type: "error",
    //     message: "保存失败",
    //   });
    },
  },
};
</script>
<style scoped>
.form_style{
	margin-left:50px;
	display:flex;
	flex-direction: column;
}

</style>